//-----------------------------------VARIABLE$-FOR-WEBSITE-CONFIGURATION----------------//

// COL SIZE VARIABLES
/*********************/
$website-s-size: 30rem; // 480px
$website-m-size: 37.5rem; // 600px
$website-l-size: 62.5rem; // 1000px

// GUTTER SIZE
/*************/
$gutter-s-padding: 0.625rem; //10px
$gutter-m-padding: 1.25rem; //20px
$gutter-l-padding: 1.25rem; //20px

// WEBSITE CONFIG
/****************/
$pixel-base: 1rem; //16px

// BREAKPOINTS VARIABLES
/***********************/
$screen-s: 37.5rem; //600px
$screen-m: 63.5rem; //1O16px => 1016 instead of 1000 to be sure that we dont fluide content on resize or small desktop screen due to scrollbar

// BREAKPOINTS OFFSET
/********************/
$breakpoints-offset: 0.125rem; //2px space marge to break (so website will break at 602px viewport width & 1018 viewport width.

// BREAKPOINTS
/**************/
$breakpoints: (
  "zero": 0,
  "small": $screen-s,
  "medium": $screen-m,
);


//--------------------VARIABLE$-GLOBAL-PUREPEOPLE-------------------------------------------------------------//

//IMPORT
/*******/
//@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@1,400;1,600;1,741&display=swap");
//@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

//FONT-FAMILY
/*************/
$font-default: "Arial", "Sans-Serif";
$font-style1: "Montserrat", $font-default;
$font-style2: "Playfair Display", $font-default;

//FONT-SIZE
/***********/
//Small
$font-size-small1: 0.625rem; //10px
$font-size-small2: 0.75rem; //12px
$font-size-small3: 0.875rem; //14px

//Medium
$font-size-medium1: 1rem; //16px
$font-size-medium2: 1.125rem; //18px
$font-size-medium3: 1.25rem; //20px

//Large
$font-size-large1: 1.375rem; //22px
$font-size-large2: 1.5rem; //24px
$font-size-large3: 1.625rem; //26px

//PADDING
/***********/
$padding-top-body-mobile: 3.4375rem;
$padding-top-body-desktop: 7.1875rem;

//Small
$spacing-small1: 0.313rem; //5px
$spacing-small2: 0.625rem; //10px
$spacing-small3: 0.938rem; //15px

//Medium
$spacing-medium1: 1.25rem; //20px
$spacing-medium2: 1.563rem; //25px
$spacing-medium3: 1.875rem; //30px

//Large
$spacing-large1: 2.5rem; //40px
$spacing-large1: 3.125rem; //50px

//MARGIN
/***********/
$mg-container: 1.875rem;
$mg-title: 1.25rem;
$mg-content: 1.25rem;

//RADIUS
/***********/
//Small
$radius-small1: 0.313rem; //5px
$radius-small2: 0.625rem; //10px

//COLORS
/*******/
//White
$white-style1: #ffffff;
$white-style2: whitesmoke;

//Black
$black-style1: #000000;
$black-style2: #212121;

//Pink
$color-primary: #ff6600;
$color-secondary: #1da1f2;
$color-tertiary: #f72585;

//Grey
$grey-style1: #eeeeee;
$grey-style2: #cccccc;
$grey-style3: #dbdbdb;
$grey-style4: #f5f5f5;
$grey-style5: #d7d7d7;

//Red
$red-style1: #d93437;

//Blue
$blue-twitter: #1da1f2;
$blue-linkedin: #0a78b5;

//BACKGROUND-COLOR
/******************/
$bg-body: #f2f2f2;
$bg-main-layout: #ffffff;

//LABEL-COLOR
/******************/
$label-body: #f2f2f2;
$bg-main-layout: #ffffff;
